javax.persistence

## Enum FlushModeType

- java.lang.Object
- - java.lang.Enum<FlushModeType>
  - - javax.persistence.FlushModeType

- All Implemented Interfaces:
    Serializable, Comparable<FlushModeType>

      public enum FlushModeType
      extends Enum<FlushModeType>

  Flush mode setting.

  When queries are executed within a transaction, if `FlushModeType.AUTO` is set on the `Query` or `TypedQuery` object, or if the flush mode setting for the persistence context is `AUTO` (the default) and a flush mode setting has not been specified for the `Query` or `TypedQuery` object, the persistence provider is responsible for ensuring that all updates to the state of all entities in the persistence context which could potentially affect the result of the query are visible to the processing of the query. The persistence provider implementation may achieve this by flushing those entities to the database or by some other means.

  If `FlushModeType.COMMIT` is set, the effect of updates made to entities in the persistence context upon queries is unspecified.

  If there is no transaction active or the persistence context is not joined to the current transaction, the persistence provider must not flush to the database.

  Since:
    Java Persistence 1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTO` (Default) Flushing to occur at query execution.
    `COMMIT` Flushing to occur at transaction commit.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FlushModeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FlushModeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COMMIT

          public static final FlushModeType COMMIT

      Flushing to occur at transaction commit. The provider may flush at other times, but is not required to.

    - #### AUTO

          public static final FlushModeType AUTO

      (Default) Flushing to occur at query execution.

  - ### Method Detail

    - #### values

          public static FlushModeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FlushModeType c : FlushModeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FlushModeType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.